Package com.io7m.cardant.parsers

# Class CANameMatchExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CANameMatchExpressions

public final class CANameMatchExpressions extends CAExpressions
Expression parsers for name match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CANameMatchExpressions(CAStrings inStrings)`
  Expression parsers for name match expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CANameMatchType`
  `nameMatch(String text)`
  Parse a match expression for names.
  `com.io7m.jsx.SExpressionType`
  `nameMatchSerialize(CANameMatchType match)`
  Serialize a match expression for names.
  `String`
  `nameMatchSerializeToString(CANameMatchType match)`
  Serialize a match expression for names.
  `protected Map<CAStringConstantType,CAStringConstantType>`
  `syntax()`

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, serialize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CANameMatchExpressions

    public CANameMatchExpressions(CAStrings inStrings)
    Expression parsers for name match expressions.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### syntax

    protected Map<CAStringConstantType,CAStringConstantType> syntax()
    Specified by:
      `syntax` in class `CAExpressions`

  - ### nameMatch

    public CANameMatchType nameMatch(String text) throws CAException
    Parse a match expression for names.
    Parameters:
      `text` - The input text
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### nameMatchSerialize

    public com.io7m.jsx.SExpressionType nameMatchSerialize(CANameMatchType match)
    Serialize a match expression for names.
    Parameters:
      `match` - The input match
    Returns:
      A match expression

  - ### nameMatchSerializeToString

    public String nameMatchSerializeToString(CANameMatchType match) throws CAException
    Serialize a match expression for names.
    Parameters:
      `match` - The input match
    Returns:
      A match expression
    Throws:
      `CAException` - On errors